Package org.gradle.tooling.events.problems

# Interface ProblemAggregationEvent

All Superinterfaces:
  `ProblemEvent`, `ProgressEvent`

@Incubating public interface ProblemAggregationEvent extends ProblemEvent
Represents a list of aggregated problems. These are sent at the end of the build. All Problems that occurred more than once during the build are aggregated and sent as a `ProblemAggregation`. They won't be sent in between the build only the first one.

Since:
  8.8

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProblemAggregation`
  `getProblemAggregation()`
  Returns a problem aggregation.

  ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

  `getDescriptor, getDisplayName, getEventTime`

- ## Method Details

  - ### getProblemAggregation

    ProblemAggregation getProblemAggregation()
    Returns a problem aggregation.
    Returns:
      a problem aggregation
    Since:
      8.8